Android Build a Simple Android App with Java Getting Started with Android Running the Fun Facts Project

I keep getting an error: Unsupported major.minor version 52.0

Error:(1, 1) A problem occurred evaluating project ':app'.

java.lang.UnsupportedClassVersionError: com/android/build/gradle/AppPlugin : Unsupported major.minor version 52.0

2 Answers

Seth Kroger
MOD
Seth Kroger
Treehouse Moderator 56,267 Points

https://stackoverflow.com/questions/37466744/android-studio-continues-to-get-a-unsupported-major-minor-version-52-0

The current gradle build tools require Java 8 but you have the JDK set to a 7 or lower one. Make sure you have a Java 8 set as the JDK in the SDK location panel of Project Structure, (it can be set to "Use embedded JDK" or similar if the option is available in your version of Android Studio)

That worked, thanks!